#
# spec file for package rubygem-activejob-5.2
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-activejob-5.2
Version:        5.2.3
Release:        lp151.12.1
%define mod_name activejob
%define mod_full_name %{mod_name}-%{version}
%define mod_version_suffix -5.2
# MANUAL
%if 0%{?suse_version} && 0%{?suse_version} < 1330
%define rb_build_versions ruby25 ruby26
%define rb_build_ruby_abis ruby:2.5.0 ruby:2.6.0
%endif
# /MANUAL
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{ruby >= 2.2.2}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  ruby-macros >= 5
Url:            http://rubyonrails.org
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Job framework with pluggable queues
License:        MIT
Group:          Development/Languages/Ruby

%description
Declare job classes that can be run by a variety of queueing backends.

%prep

%build

%install
%gem_install \
  --doc-files="CHANGELOG.md MIT-LICENSE README.md" \
  -f

%gem_packages

%changelog
* Fri Mar 29 2019 Stephan Kulow <coolo@suse.com>
- updated to version 5.2.3
  see installed CHANGELOG.md
  [#]# Rails 5.2.3 (March 27, 2019) ##
  * No changes.
* Thu Mar 14 2019 Marcus Rueckert <mrueckert@suse.de>
- update to version 5.2.2.1:
  https://weblog.rubyonrails.org/2019/3/13/Rails-4-2-5-1-5-1-6-2-have-been-released/
  CVE-2019-5418 CVE-2019-5419 CVE-2019-5420
* Sat Jan 19 2019 Marcus Rueckert <mrueckert@suse.de>
- rb_build_ruby_abi needs to be rb_build_ruby_abis
* Fri Jan 18 2019 Marcus Rueckert <mrueckert@suse.de>
- limit to ruby 2.5 and above for 42.3/sle12
* Sat Dec  8 2018 Stephan Kulow <coolo@suse.com>
- updated to version 5.2.2
  see installed CHANGELOG.md
  [#]# Rails 5.2.2 (December 04, 2018) ##
  * Make sure `assert_enqueued_with()` & `assert_performed_with()` work reliably with hash arguments.
  * Sharang Dashputre*
  * Restore `ActionController::Parameters` support to `ActiveJob::Arguments.serialize`.
  * Bernie Chiu*
  * Restore `HashWithIndifferentAccess` support to `ActiveJob::Arguments.deserialize`.
  * Gannon McGibbon*
  * Include deserialized arguments in job instances returned from
    `assert_enqueued_with` and `assert_performed_with`
  * Alan Wu*
  * Increment execution count before deserialize arguments.
    Currently, the execution count increments after deserializes arguments.
    Therefore, if an error occurs with deserialize, it retries indefinitely.
  * Yuji Yaginuma*
* Mon Dec  3 2018 mschnitzer@suse.com
- updated to version 5.2.1.1 (boo#1118076)
- addresses a security vulnerability (CVE-2018-16476, bsc#1117632)
  Carefully crafted user input can cause Active Job to deserialize
  it using GlobalId and allow an attacker to have access to
  information that they should not have.
  Vulnerable code will look something like this:
    MyJob.perform_later(user_input)
  All users running an affected release should either upgrade
  or use one of the workarounds immediately.
* Wed Aug  8 2018 mschnitzer@suse.com
- updated to version 5.2.1 (boo#1104209)
  * Pass the error instance as the second parameter of block executed by `discard_on`.
    Fixes #32853.
    (Yuji Yaginuma)
* Mon Apr 16 2018 mschnitzer@suse.com
- initialize package
  see changelog: https://github.com/rails/rails/blob/v5.2.0/activejob/CHANGELOG.md
